1

I am trying to build the remmina teamviewer plugin in my fresh ubuntu 20.04 install after getting an unspecified unmet dependency trying to install the remmina-plugin-teamviewer_1.0.0.2-1_amd64.deb from https://www.muflone.com/remmina-plugin-teamviewer/english/download.

unfortunately i can't build as i get an error msg on copying the plugin source files to the remmina-plugin-to-build directory:

cp --recursive remmina-plugin-teamviewer CMakeLists.txt remmina-plugin-builder-1.3.0.0/remmina-plugin-to-build/

error msg: cp: cannot stat 'remmina-plugin-teamviewer': No such file or directory cp: cannot stat 'CMakeLists.txt': No such file or directory

i tried replacing "remmina-plugin-teamviewer" with "remmina-plugin-builder-1.3.0.0", (knowing that it wouldn't work but tried anyways), but that obviously created the following error msg:

cp: cannot copy a directory, 'remmina-plugin-builder-1.3.0.0', into itself, 'remmina-plugin-builder-1.3.0.0/remmina-plugin-to-build/remmina-plugin-builder-1.3.0.0' cp: cannot stat 'CMakeLists.txt': No such file or directory

i need this step to get to be able to build the make file and i really don't understand what this is meant to do.

can anyone point out what i am doing wrong?

Thanks ahead.

Matthieu

  • What was wrong with downloading binary deb-package from github.com/muflone/remmina-plugin-teamviewer/releases ? Are you sure that TeamViewer API wont change since 2014? – N0rbert May 14 at 18:57
  • nothing really.. except it being from 2014 and having the unmet dependency with the same .deb version i looked into newer versions available hoping that that would solve it. which just craeted a diff problem. but never mind it got solved. – Matthieu Kints van May 14 at 22:47
2

No need to struggle with building from source on 20.04. Take a look at this:

$ ls -1
remmina-plugin-teamviewer_1.0.0.2-1_amd64.deb
teamviewer_15.5.3_amd64.deb
$ sudo apt install ./teamviewer_15.5.3_amd64.deb ./remmina-plugin-teamviewer_1.0.0.2-1_amd64.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'teamviewer' instead of './teamviewer_15.5.3_amd64.deb'
Note, selecting 'remmina-plugin-teamviewer' instead of './remmina-plugin-teamviewer_1.0.0.2-1_amd64.deb'
The following additional packages will be installed:
  libqt5positioning5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5webchannel5 libqt5webkit5 qml-module-qtgraphicaleffects qml-module-qtquick-controls
  qml-module-qtquick-dialogs qml-module-qtquick-layouts qml-module-qtquick-privatewidgets qml-module-qtquick-window2 qml-module-qtquick2
Suggested packages:
  qt5-qmltooling-plugins
The following NEW packages will be installed:
  libqt5positioning5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5webchannel5 libqt5webkit5 qml-module-qtgraphicaleffects qml-module-qtquick-controls
  qml-module-qtquick-dialogs qml-module-qtquick-layouts qml-module-qtquick-privatewidgets qml-module-qtquick-window2 qml-module-qtquick2
  remmina-plugin-teamviewer teamviewer
0 upgraded, 15 newly installed, 0 to remove and 0 not upgraded.
Need to get 16,1 MB/30,6 MB of archives.
After this operation, 141 MB of additional disk space will be used.
Do you want to continue? [Y/n] n
Abort.
| improve this answer | |
  • oddly enough that worked. I have no clue why this worked now and it didn't before as i think i did exactly the same. except that when i did it before there was, as said an undefined unmet dependency. But i got it installed.. now just try to see to get it to work. Many thanks ! – Matthieu Kints van May 14 at 22:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.